Name:		Internet2-epel6-repo
Version:	0.1
Release:	1
Summary:	Internet2 EPEL 6 Repository file and package configuration
License:	Distributable, see http://www.internet2.edu/membership/ip.html
Group:		System Environment/Base
URL:		http://software.internet2.edu/
Source0:	%{name}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
Requires:   yum
Requires:   rpm

%description
Internet2 software release file. This package contains yum configuration for
the Internet2 EPEL 6 RPM Repository, as well as the public GPG keys used to
sign them.

%prep
%setup -q -n Internet2-epel6-repo

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/yum.repos.d
cp etc/Internet2-epel6.repo %{buildroot}/etc/yum.repos.d
mkdir -p %{buildroot}/etc/pki/rpm-gpg
cp etc/RPM-GPG-KEY-Internet2 %{buildroot}/etc/pki/rpm-gpg

%clean
rm -rf %{buildroot}

%post
%if %{!?_without_rpmpubkey:1}0
rpm -q gpg-pubkey-9d7b9686-4947b567 &>/dev/null || rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-Internet2 || :
%endif

%files
%defattr(-,root,root,-)
%if %{!?_without_rpmpubkey:1}0
%pubkey etc/RPM-GPG-KEY-Internet2
%endif
%dir /etc/yum.repos.d/
%config(noreplace) /etc/yum.repos.d
%dir /etc/pki/rpm-gpg/
/etc/pki/rpm-gpg/RPM-GPG-KEY-Internet2

%changelog
* Sun Aug 26 2012 Andrew Sides <asides@es.net> 0.1-1
- Initial package build
